<template>
  <div :class="['row', randomColor]">
    <div
      :class="randomColor == 'white' ? 'b_logo' : 'w_logo'"
      v-if="logoElement"
      v-html="logoElement.outerHTML"
    ></div>

    <div class="title">
      <span :class="randomColor">{{ title.replaceAll('_', ' ') }}</span>
    </div>
  </div>
</template>

<script lang="ts" setup>
defineProps<{
  randomColor: string;
  title: string;
  logoElement: HTMLImageElement | undefined;
}>();
</script>

<style scoped>
.title {
  font-weight: 800;
  font-size: 34px;
  white-space: nowrap;
  text-transform: uppercase;
  padding-left: 26px;
}

.row {
  width: min-content;
  display: flex;
  align-items: center;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 22px;
  padding-right: 32px;
  margin-bottom: 16px;
}

.w_logo {
  width: 88px;
  height: 88px;
  padding-right: 26px;
  border-right: 2px solid white;
}

.b_logo {
  width: 88px;
  height: 88px;
  padding-right: 26px;
  border-right: 2px solid black;
}

.divider-wrapper {
  display: flex;
  align-items: center;
  height: 80%; /* This will make the wrapper take up 80% of the parent's height */
  margin-left: 26px;
  margin-right: 26px;
}

.divider {
  width: 2px;
  height: 100%; /* This will make the divider take up 100% of the wrapper's height */
  background-color: black;
}
</style>
